class_name Mirror
extends BaseMob

onready var body: Sprite = $Body
onready var label = $"../../UI/Caption"
var switched = false

func _ready():
	lives = 99999

func strike():
	$"../../UI/Darkness".set_visible(true)
	AudioServer.set_bus_volume_db(2, -200.0)
	$Timer.start()
	$Timer2.start()


func _on_Timer_timeout():
	if !switched:
		switched = true
		$"../../UI/Darkness2".set_visible(true)
		label.set_visible(false)
	else:
		get_tree().quit()


func _on_Timer2_timeout():
	$AudioStreamPlayer.play()
	label.parse_bbcode('[center]' + 'Why did I do that?' + '[/center]')
	label.set_visible(true)
